
Foreman - Bug #32456

Parent host groups are not respected in the registration form

04/29/2021 11:56 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee:    

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8534

  

Description

When I pick a host group with associated host, the OS is correctly detected out of that. But not if the host group does not have OS

assigned directly and it inherits it from its parent (or parent's parent ...)

Associated revisions

Revision ac24175a - 06/08/2021 09:06 AM - Leos Stejskal

Fixes #32456 - Parent host groups in Registration form

Fixed issue with (not) inheriting `operatingsystem_id`

value from parent host group

History

#1 - 05/19/2021 07:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8534 added

#2 - 06/08/2021 09:06 AM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#3 - 06/08/2021 10:02 AM - Leos Stejskal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|ac24175a08ae40970a6e3e1a1d2730efb3a32501.
